Subject: Re: git gc and kernel.org

From: Johan Herland <[email-masked]>
Date: Tue, 20 Oct 2009 10:54:48 +0200

On Tuesday 20 October 2009, Junio C Hamano wrote:
> At one point, update-server-info used to compute a lot more than what we
> currently compute and it made some sense to oppose against it on
> performance ground.
> 
> But these days it only lists the refs and packs and does nothing else;
> the performance impact should be immeasurable and it adds only two files
> to the repository.  It cannot be a big deal, unless you oppose to http
> transport on a non-technical ground.

FYI, update-server-info takes ~0.7 seconds in a repo with one pack and 
~50000 refs, so I guess it's acceptable to enable it by default, even in 
those kinds of repos.

...Johan

-- 
Johan Herland, <[email-masked]>
www.herland.net